@mixin post-color($color) {
  .article-category{
    background: $color;
  }
}

.single-article{
  background-color: $white;
  .article-banner{
    @include media-breakpoint-down(sm){
      background-position: center center!important;
    }
  }
  &.banner-large{
    .article-banner-background{
      position: relative;
      &:after{
        content: '';
        position: absolute;
        left: 0;
        bottom: -50px;
        width: 100%;
        height: 100px;
        background: $white;
        -webkit-transform: skewY(-3deg);
        -moz-transform: skewY(-3deg);
        -ms-transform: skewY(-3deg);
        -o-transform: skewY(-3deg);
        transform: skewY(-3deg);
        -webkit-backface-visibility: hidden;
        z-index: 0;
        @include media-breakpoint-down(sm){
          display: none;
        }
      }

      background: rgba($black, .85);
    }
  }
  .article-banner-background{
    width: 100%;
    .article-banner-container{
      width: 100%;
      margin: auto;
      max-width: 1440px;
      height: 0;
      padding-top: 50%;
      position: relative;
      @include media-breakpoint-down(lg){
        padding-top: 40%;
      }
      @include media-breakpoint-down(md){
        padding-top: 45%;
      }
      @include media-breakpoint-down(md){
        padding-top: 50%;
      }
    }
    .article-banner{
      position: absolute;
      top: 0; bottom: 0; left: 0; right: 0;
      background-size: cover;
      background-position: center center;
      background-repeat: no-repeat;

      .container, .container .row, .container, .row, .col-md-6{
        height: 100%;
        .article-infos{
          position: absolute;
          bottom: 60px;
        }
      }
    }
  }
  .article-infos{
    @include media-breakpoint-down(sm){
      margin-top: 30px;
    }
  }

  .article-category{
    display: inline-block;
    margin-bottom: 15px;
    color: $white;
    text-transform: uppercase;
    font-size: 16px;
    font-weight: $fw-bold;
    font-style: italic;
    padding: 5Px 15px;
    @include media-breakpoint-down(sm){
      position: absolute;
      bottom: 0;
      margin: 0;
    }
  }
  .article-title{
    font-size: 36px;
    display: inline;
    background: rgba($black, .9);
    color: $white;
    line-height: 1.3;
    padding-left: 10px;
    padding-right: 10px;
    @include media-breakpoint-down(sm){
      color: $blue2;
      background: none;
      padding: 0;
      line-height: 1;
      font-weight: $fw-bold;
      font-size: 24px;
    }
  }
  .article-meta{
    display: inline-block;
    font-size: 14px;
    background: rgba($black, .9);
    color: #f1f1f1;
    margin-top: 10px;
    padding: 2px 5px;
    .categories{
      font-size: 14px;
      text-transform: uppercase;
      font-style: italic;
      font-weight: $fw-bold;
    }
    @include media-breakpoint-down(sm){
      background: none;
      color: rgba($black, .5);
      font-size: 16px;
    }
  }

  .article-infos-container{
    .article-category{
      position: relative!important;
    }
    @include media-breakpoint-down(sm){
      background: $grey3;
      max-width: 100%;
    }
    padding-top: 1px;
    padding-bottom: 10px;
  }

  &.banner-classic{
    .banner-container{
      @include media-breakpoint-down(sm){
        max-width: 100%;
        padding: 0;
      }
    }

    .article-infos{
      margin-top: 30px;
    }
    .article-title{
      color: $blue2;
      background: none;
      padding: 0;
      line-height: 1;
      font-weight: $fw-bold;
    }
    .article-meta{
      background: none;
      color: rgba($black, .5);
      font-size: 16px;
    }
    .article-category{
      position: absolute;
      bottom: 0;
      margin: 0;
    }
  }
  .article-body{
    margin-top: 40px;
    margin-bottom: 80px;
  }
  &.color-red{
    @include post-color($red);
  }
  &.color-green{
    @include post-color($green);
  }
  &.color-blue{
    @include post-color($blue);
  }
  &.color-grey{
    @include post-color($grey1);
  }
  &.color-default{
    @include post-color($grey1);
  }
  .slideshow{
    .slick-dots{
      @include media-breakpoint-up(md){
        display: none;
      }
    }
  }
  .comments{
    margin-bottom: 70px;
  }

  .article-author{
    display: flex;
    width: 80%;
    margin-left: 10%;
    margin-bottom: 40px;
    @include media-breakpoint-down(md){
      width: 100%;
      margin-left: 0;
    }
    @include media-breakpoint-down(sm){
      display: block;
    }

    .author-image-container{
      margin-right: 30px;
      width: 100px;
      min-width: 100px;
      height: 100px;
      border-radius: 100%;
      background-size: cover;
      background-color: $grey1;
      @include media-breakpoint-down(sm){
        margin: auto;
        margin-bottom: 15px;
      }
    }
    .author-infos{
      .author-name{
        font-size: 22px;
        font-weight: $fw-regular;
        @include media-breakpoint-down(sm){
          text-align: center;
          margin-bottom: 20px;
        }
        .author{
          font-weight: $fw-bold;
        }
      }
      .author-description{
        font-size: 16px;
        color: rgba($black, .6);
        @include media-breakpoint-down(sm){
          padding-left: 20px;
          padding-right: 20px;
        }
      }
      .author-social{
        list-style: none;
        padding: 0;
        @include media-breakpoint-down(sm){
          text-align: center;
          margin-top: 30px;
        }
        li{
          display: inline-block;
          margin-right: 10px;
          a{
            display: block;
            height: 30px;
            width: 30px;
            background-size: cover;
            background-position: center center;
            opacity: .6;
            transition: all .2s ease;
            &:hover{
              opacity: .8;
              cursor: pointer;
            }
          }
          &.twitter a{
              background-image: url('../img/twitter-black.svg');
          }
          &.facebook a{
            background-image: url('../img/facebook-black.svg');
          }
          &.instagram a{
            background-image: url('../img/instagram-black.svg');
          }
          &.google a{
            background-image: url('../img/google-black.svg');
          }
          &.site a{
            background-image: url('../img/site-black.svg');
          }
        }
      }
    }
  }

  .similar-articles{
    margin-bottom: 60px;
    margin-top: 50px;
    .slideshow{
      .post-preview{
        .post-preview-link{
          background-color: $grey1;
          .post-preview-bottom{
            &:before{
              background: $grey1;
            }
          }
        }
      }
    }
  }
}